<script lang="ts">
import Vue from 'vue';
import { CtfCard, CtfEntry } from '~/models';

export default Vue.extend({
  name: 'MarketoFormPageContentCards',
  props: {
    cards: {
      type: Array as () => CtfEntry<CtfCard>[],
      required: false,
      default: null,
    },
  },
});
</script>

<template>
  <div>
    <div
      v-for="(card, index) in cards"
      :key="index"
      class="marketo-form-page__card"
    >
      <div
        v-if="card.fields.image && card.fields.image?.fields"
        class="marketo-form-page__card-image slp-mb-16"
      >
        <img
          :src="card.fields.image.fields.file.url"
          :alt="card.fields.image.fields.title"
        />
      </div>
      <SlpTypography
        v-if="card.fields?.title"
        tag="h3"
        variant="heading5-bold"
        class="slp-mb-16"
      >
        {{ card.fields?.title }}
      </SlpTypography>
      <SlpTypography
        v-if="card.fields?.subtitle"
        tag="p"
        variant="body2-bold"
        class=""
      >
        {{ card.fields?.subtitle }}
      </SlpTypography>

      <div class="slp-mb-16">
        <SlpButton
          v-if="card.fields.button && card.fields.button.fields"
          class="slp-mt-16"
          :variant="card.fields.button.fields.variation"
          :href="card.fields.button.fields.externalUrl"
          :data-ga-name="card.fields.button.fields.dataGaName"
          :data-ga-location="card.fields.button.fields.dataGaLocation"
          >{{ card.fields.button.fields.text }}
          <SlpIcon
            v-if="card.fields.button.fields.iconName"
            class="slp-ml-8"
            :name="card.fields.button.fields.iconName"
            :icon="card.fields.button.fields.iconName"
            :variant="card.fields.button.fields.iconVariant"
            alt="Icon"
          />
        </SlpButton>
        <SlpButton
          v-if="
            card.fields.secondaryButton && card.fields.secondaryButton.fields
          "
          class="slp-mt-16"
          :variant="card.fields.secondaryButton.fields.variation"
          :href="card.fields.secondaryButton.fields.externalUrl"
          :data-ga-name="card.fields.secondaryButton.fields.dataGaName"
          :data-ga-location="card.fields.secondaryButton.fields.dataGaLocation"
          >{{ card.fields.secondaryButton.fields.text }}
          <SlpIcon
            v-if="card.fields.secondaryButton.fields.iconName"
            class="slp-ml-8"
            :name="card.fields.secondaryButton.fields.iconName"
            :icon="card.fields.secondaryButton.fields.iconName"
            :variant="card.fields.secondaryButton.fields.iconVariant"
            alt="Icon"
          />
        </SlpButton>
      </div>
      <SlpTypography
        v-if="card.fields.description"
        tag="div"
        variant="body3"
        class="marketo-form-page__note"
      >
        <div v-html="$md.render(card.fields.description)"></div>
      </SlpTypography>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.marketo-form-page {
  &__card {
    margin-top: 64px;
    :deep {
      .slp-btn-secondary {
        border: 1px solid #171321;
      }
    }
  }
  &__card-image {
    img {
      max-height: 50px;
      max-width: 160px;
    }
  }
  &__note {
    color: $color-surface-500;
    :deep a {
      text-decoration: underline;
      color: inherit;
    }
  }
}
</style>
